Bug 1021830 - Unexpected Error (CSRF token missing) when clicking go back in Import Dashboards panel
Unexpected Error (CSRF token missing) when clicking go back in Import Dashboa...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 03:55 EDT by Jan Hrcek
Modified: 2014-08-06 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps to reproduce - video (4.49 MB, video/webm)
2013-10-22 03:55 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-10-22 03:55:29 EDT
Created attachment 814879 [details]
Steps to reproduce - video

Description of problem:
When you import dashboards using 'Import dashboards' panel and then click 'Go back' button in that panel (to reset the panel to it's initial state), you get an Unexpected error: javax.servlet.ServletException: CSRF token missing.

See video for steps to reproduce.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER4

How reproducible:
Always

Steps to Reproduce:
1. Using admin user, navigate to and export dashboards, export all dasbhoards of Showcase workspace.
2. Switch to Import dashboards and import them from the export file created in step 1
3. After the import is done, click 'Go back' in the Import dashboards panel

Actual results:
UnexpectedError window is opened, with  javax.servlet.ServletException: CSRF token missing.

Expected results:
Import dashboards panel should return to its initial state.

Additional info:
Comment 2 Jan Hrcek 2013-12-02 01:55:00 EST
Ok, the issue has been fixed in BPMS 6.0.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.